#products {
    scroll-margin-top: 100px;
}
.features-col {
    width: 100%;
    display: flex;
    align-items: start;
    justify-content: center;
    gap: 25px;
    transition: height 0.35s;
}
.feature-card {
    text-decoration: none;
    color: white;
    width: 385px;
}
@media (hover: hover) {
    .features-col {
        height: 550px;
    }
    .feature-card {
        height: 550px;
    }
}
.feature-card-container:hover {
    padding: 20px;
}
.feature-card-container {
    width: 100%;
    animation: fadein linear forwards;
    animation-timeline: view();
    animation-range-start: 150px;
    animation-range-end: 450px;
    scale: .8;
    opacity: 0;
    transition: 0.35s padding;
    background: linear-gradient(180deg, #0f046b, #6902a1);
    padding: 15px;
    border-radius: 18px;
    box-shadow: 0 0 15px rgb(0,0,0,0.6);
}
.feature-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}
.feature-card-header .discount {
    background-color: #962d2d;
    color: white;
    padding: 8px 10px;
    border-radius: 10px;
    font-size: 0.9rem;
    width: 100%;
    text-align: center;
}
.feature-card-detail {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.feature-card-detail b {
    font-weight: 100;
    font-size: 1.05rem;
    color: white;
}
@media(max-width: 1610px) {
    .feature-card-detail b {
        font-size: 0.9rem;
    }
}
.feature-card-img {
    width: 100%;
    margin: 15px 0;
}
.feature-card-img img {
    width: 100%;
    border-radius: 15px;
    object-fit: contain;
    object-position: center;
    box-shadow: 0 0 20px 1px rgba(0, 0, 0, 0.2);
}
.feature-card-detail span {
    opacity: 0.8;
}
.feature-card-list {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
    transition: 0.4s height;
    overflow: hidden;
}
@media (hover: hover) and (max-width: 1335px) {
    .feature-card-list {
        height: 0;
    }
}
.feature-card-list li {
    color: white;
    font-size: 1.1rem;
    display: flex;
    align-items: center;
    gap: 5px;
}
.feature-card-list li svg {
    width: 22px;
    height: 22px;
    background-color: white;
    border-radius: 50%;
}
.feature-card-list li.include svg path {
    color: green;
}
.feature-card-list li.not-include svg path {
    color: red;
}
.feature-card-bookBtn {
    position: relative;
    background-color: var(--magic-clr);
    color: white;
    padding: 22px 20px;
    border-radius: 15px;
    text-align: center;
    cursor: pointer;
    transition: 0.3s background-color, 0.3s scale;
    border: 0;
    width: 100%;
    height: 42px;
    overflow: hidden;
    box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.3);
    text-decoration: none;
}
.feature-card-bookBtn svg {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
}
.feature-card-bookBtn svg path {
    color: white;
}
.feature-card-bookBtn span {
    color: white;
    font-size: 1.15rem;
    transition: 0.25s font-size;
    font-weight: bold;
}
.feature-card-bookBtn:hover span {
    font-size: 1.3rem;
}
.feature-card-bookBtn:active {
    scale: 0.95;
}
